Ruby: pm_when_node Struct Reference

Ruby 3.4.7p58 (2025-10-08 revision 7a5688e2a27668e48f8d6ff4af5b2208b98a2f5e)

Data Fields
pm_when_node Struct Reference

WhenNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | keyword_loc
| WhenNode#keyword_loc.
struct pm_node_list | conditions
| WhenNode#conditions.
pm_location_t | then_keyword_loc
| WhenNode#then_keyword_loc.
struct pm_statements_node * | statements
| WhenNode#statements.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

WhenNode.

Represents the use of the when keyword within a case statement.

    case true
    when true
    ^^^^^^^^^
    end

Type: ::PM_WHEN_NODE

Definition at line 7815 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_when_node::base

The embedded base node.

Definition at line 7817 of file ast.h.

Referenced by pm_dump_json().

## ◆ conditions

struct pm_node_list pm_when_node::conditions

WhenNode#conditions.

Definition at line 7828 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ keyword_loc

pm_location_t pm_when_node::keyword_loc

WhenNode#keyword_loc.

Definition at line 7823 of file ast.h.

Referenced by pm_dump_json().

## ◆ statements

struct pm_statements_node* pm_when_node::statements

WhenNode#statements.

Definition at line 7838 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ then_keyword_loc

pm_location_t pm_when_node::then_keyword_loc

WhenNode#then_keyword_loc.

Definition at line 7833 of file ast.h.

Referenced by pm_dump_json().

The documentation for this struct was generated from the following file:

- prism/ast.h